
DROP VIEW VIEWPVDETPEDPAR;

CREATE VIEW VIEWPVDETPEDPAR (EMPRESA, UNIDADE, PEDIDO, PREVISTA, STATUS, VALORBRUTO, VALORLIQUIDO, VALORBRUTOT, VALORLIQUIDOT ) AS
SELECT VNDAPEPC.APEPC_EMPRESA,
       VNDAPEPC.APEPC_UNIDADE, 
       VNDAPEPC.APEPC_PEDIDO, 
       VNDAPEPC.APEPC_DATA_PREV, 
       VNDAPEPC.APEPC_STATUS, 
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
FROM VNDAPEPC
GROUP BY VNDAPEPC.APEPC_EMPRESA,
         VNDAPEPC.APEPC_UNIDADE, 
         VNDAPEPC.APEPC_PEDIDO, 
         VNDAPEPC.APEPC_DATA_PREV, 
         VNDAPEPC.APEPC_STATUS;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'DETALHE DE PEDIDOS - PARCELAS' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWPVDETPEDPAR';
