
DROP VIEW VIEWPVPRIVENDA;

CREATE VIEW VIEWPVPRIVENDA ( EMPRESA, UNIDADE, TIPOEMPRESA, CODIGOEMPRESA, PEDIDO, CADASTRO) AS
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_UNIDADE, 
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       MIN(VNDAPECD.APECD_PEDIDO),
       MIN(VNDAPECD.APECD_DATA_CADAST)
    from VNDAPECD, VNDAPEPC
    where VNDAPECD.APECD_EMPRESA =  VNDAPEPC.APEPC_EMPRESA AND
          VNDAPECD.APECD_UNIDADE =  VNDAPEPC.APEPC_UNIDADE AND
          VNDAPECD.APECD_PEDIDO  =  VNDAPEPC.APEPC_PEDIDO AND
          VNDAPEPC.APEPC_STATUS <> 'C'       
    GROUP BY VNDAPECD.APECD_EMPRESA,
             VNDAPECD.APECD_UNIDADE,       
             VNDAPECD.APECD_TIPO_CLI,
             VNDAPECD.APECD_CLIENTE;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'PRIMERA VENDA AO CLIENTE POR EMPRESA' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWPVPRIVENDA';
