
DROP VIEW VIEWPVDETPEDPAR;

CREATE VIEW VIEWPVDETPEDPAR (EMPRESA, UNIDADE, PEDIDO, PREVISTA, STATUS, VALORBRUTO, VALORLIQUIDO, VALORBRUTOT, VALORLIQUIDOT ) AS
SELECT VNDAPEPC.APEPC_EMPRESA,
       VNDAPEPC.APEPC_UNIDADE, 
       VNDAPEPC.APEPC_PEDIDO, 
       VNDAPEPC.APEPC_DATA_PREV, 
       VNDAPEPC.APEPC_STATUS, 
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
FROM VNDAPEPC
GROUP BY VNDAPEPC.APEPC_EMPRESA,
         VNDAPEPC.APEPC_UNIDADE, 
         VNDAPEPC.APEPC_PEDIDO, 
         VNDAPEPC.APEPC_DATA_PREV, 
         VNDAPEPC.APEPC_STATUS;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'DETALHE DE PEDIDOS - PARCELAS' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWPVDETPEDPAR';

DROP VIEW VIEWPVPRIVENDA;

CREATE VIEW VIEWPVPRIVENDA ( EMPRESA, UNIDADE, TIPOEMPRESA, CODIGOEMPRESA, PEDIDO, CADASTRO) AS
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_UNIDADE, 
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       MIN(VNDAPECD.APECD_PEDIDO),
       MIN(VNDAPECD.APECD_DATA_CADAST)
    from VNDAPECD, VNDAPEPC
    where VNDAPECD.APECD_EMPRESA =  VNDAPEPC.APEPC_EMPRESA AND
          VNDAPECD.APECD_UNIDADE =  VNDAPEPC.APEPC_UNIDADE AND
          VNDAPECD.APECD_PEDIDO  =  VNDAPEPC.APEPC_PEDIDO AND
          VNDAPEPC.APEPC_STATUS <> 'C'       
    GROUP BY VNDAPECD.APECD_EMPRESA,
             VNDAPECD.APECD_UNIDADE,       
             VNDAPECD.APECD_TIPO_CLI,
             VNDAPECD.APECD_CLIENTE;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'PRIMERA VENDA AO CLIENTE POR EMPRESA' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWPVPRIVENDA';
